프로젝트의 Atlas 그레스 링크 및 동기화 상태를 반환합니다. 프로젝트 읽기 역할 필요합니다. 클러스터 토폴로지 (호스트/IP)는 생략되며 상태만 표시됩니다. egress_sync.cluster_count는 마지막으로 성공적인 저장된 스냅샷 의 클러스터 수입니다(0는 Atlas 아무 것도 반환하지 않았음을 의미합니다 — 종종 일시 중지됨, 서버리스 또는 빈 프로젝트).
GET /api/v1/projects/{id}/atlas-link
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/atlas-link' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"atlas_project": {
"environment": "string",
"project_id": "string"
},
"egress_sync": {
"cluster_count": 42,
"clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"clusters_differ": true,
"last_success_at": "string",
"last_sync_at": "string",
"live_clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"live_fetch_error": "string",
"sync_error": "string",
"sync_status": "string"
},
"name": "string",
"org_id": "string",
"project_id": "string"
}
응답 예시(200)
{
"atlas_project": {
"environment": "string",
"project_id": "string"
},
"egress_sync": {
"cluster_count": 42,
"clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"clusters_differ": true,
"last_success_at": "string",
"last_sync_at": "string",
"live_clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"live_fetch_error": "string",
"sync_error": "string",
"sync_status": "string"
},
"name": "string",
"org_id": "string",
"project_id": "string"
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(404)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(404)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}